# ucs_ntp_server – Configures NTP server on Cisco UCS Manager

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Configures NTP server on Cisco UCS Manager.
- Examples can be used with the UCS Platform Emulator.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - | Default: "" | A user-defined description of the NTP server. Enter up to 256 characters. You can use any characters or spaces except the following: ` (accent mark), (backslash), ^ (carat), " (double quote), = (equal sign), > (greater than), < (less than), or ' (single quote). aliases: descr
hostname string / required |  | IP address or hostname of Cisco UCS Manager.
ntp_server - | Default: "" | NTP server IP address or hostname. Enter up to 63 characters that form a valid hostname. Enter a valid IPV4 Address. aliases: name
password string / required |  | Password for Cisco UCS Manager authentication.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'

state
-

Choices:
- absent
- present ←

If `absent`, will remove an NTP server.
If `present`, will add or update an NTP server.

use_proxy
boolean

Choices:
- no
- yes ←

If `no`, will not use the proxy as defined by system environment variable.

use_ssl
boolean

Choices:
- no
- yes ←

If `no`, an HTTP connection will be used instead of the default HTTPS connection.

username string | Default: "admin" | Username for Cisco UCS Manager authentication.

## Examples

    - name: Configure NTP server
      ucs_ntp_server:
        hostname: 172.16.143.150
        username: admin
        password: password
        ntp_server: 10.10.10.10
        description: Internal NTP Server by IP address
        state: present

    - name: Configure NTP server
      ucs_ntp_server:
        hostname: 172.16.143.150
        username: admin
        password: password
        ntp_server: pool.ntp.org
        description: External NTP Server by hostname
        state: present

    - name: Remove NTP server
      ucs_ntp_server:
        hostname: 172.16.143.150
        username: admin
        password: password
        ntp_server: 10.10.10.10
        state: absent

    - name: Remove NTP server
      ucs_ntp_server:
        hostname: 172.16.143.150
        username: admin
        password: password
        ntp_server: pool.ntp.org
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- John McDonough (@movinalot)
- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.